### Copenhagen Truck Wash API Help

# List reusable self-serve machine types

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /department/selfserve/machine-types

## Operation

Operation ID: `listSelfserveMachineTypes`

List reusable self-serve machine types

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | no | integer |
|  | no | object |

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Successfully retrieved machine types | application/json
404 |  |

Schema for response `200` (`application/json`):

{ "oneOf": [ { "$ref": "#/components/schemas/SelfserveMachineType" }, { "items": { "$ref": "#/components/schemas/SelfserveMachineType" }, "type": "array" } ] }
17 March 2026